Overview
Retry failed contact restrict operation.
URL Parameters
<!--complex table-->| Name | Type | Description | |
|---|---|---|---|
| operationID | string | undefined |
Responses
| Status | Name | Type | Description |
|---|---|---|---|
| 200 | Retry restrict operation response. | ||
| operationID | integer | Operation ID for the retried request. | |
| operationRestarted | boolean | Indicates whether the request restarted. | |
| requestServiceMessageID | guid | Service message ID for the request. | |
| responseDateTime | integer | The date and time of the retry response is in GMT time. | |
| resultMessages | array | Messages about the request, like resulttype and resultcode. If the request results in errors, those details are listed here. | |
| serviceMessageID | guid | Service message ID for the response. |
Usage
Example Request
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /contacts/v1/operations/restrict/16411/retry
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
Example Response
{
"operationID": 16411,
"operationRestarted": true,
"requestServiceMessageID": "70f956f8-cd35-4c75-b045-86dff08f7e21",
"responseDateTime": "2018-06-05T10:00:00.4006445-06:00",
"resultMessages": [],
"serviceMessageID": "94a88190-d9e3-4ed4-8256-eb0c62c7d5e1"
}